Summary:	A professional CAD system
Name:		qcad
Version:	3.9.4.0
Release:	1
License:	GPLv3+ with exceptions, CC-BY, GPLv2+, LGPLv2.1, BSD
Group:		Graphics
Url:		http://www.qcad.org
#https://github.com/qcad/qcad/archive/v%{version}.zip
Source0:	qcad-%{version}.zip
# Build static libs instead of shared
Patch0:		qcad-3.9.4.0-static.patch
Patch1:		qcad-3.9.4.0-linkage.patch
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(QtWebKit)
BuildRequires:	pkgconfig(zlib)

%description
QCad is a professional CAD System. With QCad you can easily construct
and change drawings with ISO-text and many other features and save
them as DXF-files. These DXF-files are the interface to many
CAD-systems such as AutoCAD(TM) and many others.

%files
%doc readme.txt LICENSE.txt README.md gpl-3.0.txt cc-by-3.0.txt gpl-3.0-exceptions.txt
%{_bindir}/%{name}
%{_libdir}/*.so
%{_iconsdir}/*.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/*.desktop

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1
find . -name ".gitignore" -delete
cp -a src/3rdparty/qt-labs-qtscriptgenerator-4.8.6 src/3rdparty/qt-labs-qtscriptgenerator-4.8.7
cd src/3rdparty/qt-labs-qtscriptgenerator-4.8.7 && mv -f qt-labs-qtscriptgenerator-4.8.6.pro qt-labs-qtscriptgenerator-4.8.7.pro

%build
%qmake_qt4
%make

%install
# remove project files
find . \( -name '*.pri' -or -name '.pro' -or -name '*.ts' \) -delete
find . \( -name 'Makefile*' -name '.gitignore' \) -delete

install -dm755 %{buildroot}%{_datadir}/%{name}
cp -r examples fonts libraries patterns plugins scripts ts %{buildroot}%{_datadir}/%{name}
cp release/* %{buildroot}%{_datadir}/%{name}

# qt
for sofiles in %{qt4plugins}/imageformats/*.so
do
    ln -sf ${sofiles} %{buildroot}%{_datadir}/%{name}/plugins/imageformats/${sofiles##/*/}
done

for sofiles in %{qt4plugins}/sqldrivers/*.so
do
    ln -sf ${sofiles} %{buildroot}%{_datadir}/%{name}/plugins/sqldrivers/${sofiles##/*/}
done

install -Dm644 scripts/qcad_icon.png %{buildroot}%{_iconsdir}/qcad_icon.png

install -dm0755 %{buildroot}%{_bindir}
echo -e '#!/bin/sh\ncd %{_datadir}/%{name}\nLD_LIBRARY_PATH=`pwd`:$LD_LIBRARY_PATH exec ./qcad-bin' > %{buildroot}%{_bindir}/%{name}
chmod 0755 %{buildroot}%{_bindir}/%{name}

rm -f %{buildroot}%{_datadir}/%{name}/*.a

install -dm0755 %{buildroot}%{_libdir}
mv %{buildroot}%{_datadir}/%{name}/*.so %{buildroot}%{_libdir}

# desktop
install -m 755 -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Qcad
Name[ru]=Qcad
Comment=A professional CAD system
Comment[ru]=Профессиональная CAD система
Exec=%{name}
Icon=qcad_icon
Terminal=false
Type=Application
Categories=Office;Chart;Qt;
StartupNotify=true
EOF


%changelog

* Mon Jul 06 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.9.4.0-1
- (42224c9) Add patch to fix linkage


